(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


// symbols:
// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.linktop = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#8FAEBF").s().p("AgBIdQg4gBgrgfIgHgFIgGgGIgHgGQgggggLgrQgEgNgCgOIABABIAnAfQArAZAqgZQAsgaAAgxIAAsgQAAgzAqgXQArgaArAaIAeAXIAMAaIAANRQAABIgxAxQgzAxhGAAIgBAAg");
	this.shape.setTransform(17,64.9);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#B2C4D0").s().p("AiBIRIgngfIgBgUIAAtRQAAhGAxgxQAxgzBHAAQBGAAAzAzQAxAxAABGIgMgZIgegYQgrgZgrAZQgqAYAAAzIAAMgQAAAxgsAZQgVANgVAAQgVAAgWgNg");
	this.shape_1.setTransform(17,54.2);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.linktop, new cjs.Rectangle(0,0,34,119), null);


(lib.eenas = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#8FAEBF").s().p("ACqFCIAAkjQAnAPAXAiQAXAiAAAoIAAEOQAAATgHATQgQhVg+g3gAj+GoIAAkOQAAgrAXgfQAWgiAmgPIACAAIAAEjQg/A3gSBVQgEgNAAgZgACqlBQA+g3AQhVQAHARAAATIAAEQQAAAogXAiQgXAignAPgAirgeQgmgPgWgiQgXggAAgqIAAkQQAAgaAEgKQASBVA/A3IAAEjg");
	this.shape.setTransform(25.5,46.2);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

}).prototype = getMCSymbolPrototype(lib.eenas, new cjs.Rectangle(0,0,51,92.5), null);


(lib.chain2 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#8FAEBF").s().p("AAGCuIgFAAQh/gHhpgvQgjgTghgYIgcgWIgIgHQghgcgbghIgfgpIggg5QgOgegLggQBJB3CABHQCDBICYAAQCZAACChIQCChHBGh3Qg0CbiEBfQhAAvhJAZQhEAZhUAAIgFAAg");
	this.shape.setTransform(50.9,118.6);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#B2C4D0").s().p("AErJTQCEhgA0ibQhGB3iCBJQiCBIiZAAQiYAAiDhIQiAhJhJh3QALAhAOAeQgyhmAAh6IAAlTQAAjTCViUQCViXDTAAQDSAACXCXQCVCUAADTIAAFTQAADUiVCVQhZBYhuAjQBJgYBAgwgAi0lRQhKBLAABqIAAFTQAABqBKBKQBLBLBpAAQBrAABJhLQBLhKAAhqIAAlTQAAhohLhNQhJhKhrAAQhpAAhLBKgAlII+IAcAVQAhAZAjASQgzgZgtgng");
	this.shape_1.setTransform(51,66.7);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.chain2, new cjs.Rectangle(0,0,102,136), null);


(lib.chain1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#8FAEBF").s().p("AALCuIgFAAIgFAAQh8gEhsgyQgjgTghgYIgcgWIgIgHQgigdgbghIgggrIgfg3QgNgegLgfQBJB3CABHQCDBICYAAQCZAACChIQCChHBGh3Qg0CbiEBfQhAAvhJAZQhGAZhHAAIgLAAg");
	this.shape.setTransform(50.9,118.6);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#B2C4D0").s().p("AErJTQCEhgA0ibQhGB3iCBJQiCBIiZAAQiYAAiDhIQiAhJhJh3QALAgANAdQgYgxgMg2QgNg5AAg+IAAlTQAAjTCViUQCViXDTAAQDSAACXCXQCVCUAADTIAAFTQAAA+gNA5QgfCJhpBpQhZBYhuAjQBJgYBAgwgAi0lRQhKBLAABqIAAFTQAABCAdA1QARAhAcAcQBLBLBpAAQBrAABJhLQAdgcARghQAdg1AAhCIAAlTQAAhohLhNQhJhKhrAAQhpAAhLBKgAlII+IAcAVQAhAZAjASQgzgZgtgng");
	this.shape_1.setTransform(51,66.7);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.chain1, new cjs.Rectangle(0,0,102,136), null);


(lib.linkhori = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_12 = function() {
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).wait(12).call(this.frame_12).wait(1));

	// Layer_6
	this.instance = new lib.linktop();
	this.instance.parent = this;
	this.instance.setTransform(51,136.2,1.21,1.21,0,0,0,17,59.6);
	this.instance.alpha = 0;
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(5).to({_off:false},0).to({scaleX:1.12,scaleY:1.12,alpha:1},3).to({regY:59.5,scaleX:1,scaleY:1,y:136},4).wait(1));

	// Layer_2
	this.instance_1 = new lib.eenas();
	this.instance_1.parent = this;
	this.instance_1.setTransform(51.1,136.1,0.747,0.747,0,0,0,25.5,46.2);
	this.instance_1.alpha = 0;
	this.instance_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(8).to({_off:false},0).to({scaleX:1,scaleY:1,x:51,alpha:1},4).wait(1));

	// Layer_8
	this.instance_2 = new lib.chain2();
	this.instance_2.parent = this;
	this.instance_2.setTransform(51,44.5,1,1,0,0,0,51,68);
	this.instance_2.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).to({y:68,alpha:1},5).wait(8));

	// Layer_9
	this.instance_3 = new lib.chain1();
	this.instance_3.parent = this;
	this.instance_3.setTransform(51,226,1,1,0,0,0,51,68);
	this.instance_3.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).to({y:204,alpha:1},5).wait(8));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,-23.5,102,317.5);


// stage content:
(lib.Element_link_vertical_Canvas = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// Layer 1
	this.instance = new lib.linkhori();
	this.instance.parent = this;
	this.instance.setTransform(200.5,200.5,1,1,0,0,0,51,136);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(349.5,241,102,317.5);
// library properties:
lib.properties = {
	id: 'A814D4DF2929DC4DB9888367F78F8047',
	width: 400,
	height: 400,
	fps: 24,
	color: "#CCCCCC",
	opacity: 1.00,
	manifest: [],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['A814D4DF2929DC4DB9888367F78F8047'] = {
	getStage: function() { return exportRoot.getStage(); },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}



})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;